/*
*  SETUP.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USERES( "QSsetup\Setup.res");
USEUNIT("QSsetup\SetupVer.cpp");
USEFORM("QSsetup\SetupDlg.cpp", SetupForm);
USEFORM("QSsetup\UninstDlg.cpp", UninstWiz);
USEFORM("QSsetup\DirBrow.cpp", BrowseDlg);
USEFORM("QSsetup\WaitDlg.cpp", WaitForm);
USEFORM("QSsetup\SetupMain.cpp", MainForm);
USEFORM("QSsetup\WipeDlgs.cpp", WipeDlg);
USEFORM("QSsetup\View.cpp", ViewDlg);
USEUNIT("QSsetup\Mixmaster.cpp");
USEUNIT("QSsetup\HeadMan.cpp");
USEUNIT("QSsetup\FileMan.cpp");
USEUNIT("QSsetup\Global.cpp");
USEUNIT("QSsetup\Fmxutils.cpp");
USELIB( "QSsetup\zlib.LIB");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
     try
     {
        Application->Initialize();
        Application->Title = "QuickSilver";
        Application->CreateForm(__classid(TMainForm), &MainForm);
        Application->Run();
    }
    catch (Exception &exception)
    {
       Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
